Bug 111607 - [CSS Regions][CSS Shapes] Shape-inside is broken when it's applied to the parent of multiple absolute-positioned regions
Summary: [CSS Regions][CSS Shapes] Shape-inside is broken when it's applied to the par...
Status: RESOLVED LATER
Alias: None
Product: WebKit
Classification: Unclassified
Component: CSS (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on: 111379 111604
Blocks: 57312 89256
  Show dependency treegraph
 
Reported: 2013-03-06 11:33 PST by Zoltan Horvath
Modified: 2014-03-27 09:14 PDT (History)
2 users (show)

See Also:


Attachments
test case (4.58 KB, text/html)
2013-03-06 11:33 PST, Zoltan Horvath
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Zoltan Horvath 2013-03-06 11:33:14 PST
Created attachment 191801 [details]
test case

Please check out the attached test case. 
Currently we see 4 shape-inside circle left-top quarters, but we should see only 1 big shape-inside circle over the regions.
Comment 1 Zoltan Horvath 2013-03-20 15:14:16 PDT
The spec will be going with a more conservative behavior. => This bug is invalid. 
Reference: Bug #111379
Comment 2 Alan Stearns 2013-04-03 17:57:39 PDT
Surprise! The spec changed to make this issue valid again.
Comment 3 Michelangelo De Simone 2013-06-13 11:14:25 PDT
Still repros on today's nightly (r151543)